> ## Documentation Index
> Fetch the complete documentation index at: https://pindocs.jackalprotocol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View created collections

> List all collections with pagination



## OpenAPI

````yaml get /collections
openapi: 3.0.2
info:
  title: Jackal Pin
  description: >-
    This is the API reference for Jackal Pin, an IPFS pinning service running on
    top of the Jackal Protocol, hosted by Jackal Labs.
  termsOfService: https://pin.jackalprotocol.com/terms
  contact:
    email: pinsupport@jackallabs.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://pinapi.jackalprotocol.com/api
security: []
tags:
  - name: keys
    description: Access permissions with JWTs
    externalDocs:
      description: JWT docs
      url: https://jwt.io/introduction
  - name: files
    description: Managing files
  - name: collection
    description: Managing collections
  - name: collection + files
    description: Interactions with files and collections
  - name: accounts
    description: Managing user accounts
  - name: payment
    description: Payment and subscription operations
  - name: system
    description: System information and operations
externalDocs:
  description: More about the Jackal Protocol
  url: https://jackalprotocol.com
paths:
  /collections:
    get:
      tags:
        - collection
      summary: View created collections
      description: List all collections with pagination
      parameters:
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          description: Number of items per page
          schema:
            type: integer
            default: 25
        - name: name
          in: query
          description: Filter by collection name
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              example:
                collections:
                  - name: collection-2
                    id: 2
                    cid: ''
                  - name: collection-1
                    id: 1
                    cid: ''
                count: 2
              schema:
                type: object
                properties:
                  collections:
                    type: array
                    items:
                      $ref: '#/components/schemas/Collection'
                  count:
                    type: integer
        '401':
          description: Unauthorized User
        '500':
          description: Failed to retrieve collections
      security:
        - api_key: []
components:
  schemas:
    Collection:
      type: object
      properties:
        name:
          type: string
        id:
          type: integer
        cid:
          type: string
  securitySchemes:
    api_key:
      type: http
      scheme: bearer
      bearerFormat: JWT

````